## pyfibaro 0.7.8

=== requirements.txt ===
requests~=2.28

=== debian/changelog ===
pyfibaro (0.7.8-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Wed, 31 Jul 2024 13:44:05 +0900

pyfibaro (0.7.8-1) unstable; urgency=medium

  * Initial release. (Closes: #1077025)

 -- Edward Betts <edward@4angle.com>  Thu, 25 Jul 2024 20:00:14 +0900

=== debian/control ===
Source: pyfibaro
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-pytest <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-requests <!nocheck>,
               python3-requests-mock <!nocheck>,
               python3-setuptools
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/rappenze/pyfibaro
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/pyfibaro
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/pyfibaro.git

Package: python3-pyfibaro
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: API to access Fibaro Home Center from Python
 Provides a simple interface for interacting with Fibaro Home Center devices.
 The library facilitates the integration and control of smart home devices via
 the Fibaro Home Center APIs. It enables the execution of various commands and
 retrieval of device status from Fibaro Home Center systems, supporting
 features like authentication and device management.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pyfibaro
export PYBUILD_TEST_ARGS=--no-cov

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf pyfibaro.egg-info/

=== debian/tests/control ===
Tests: run-tests
Depends: python3-all,
         python3-pytest,
         python3-pytest-cov,
         python3-requests,
         python3-requests-mock,
         @

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/pyfibaro-$1\.tar\.gz/ \
  https://github.com/rappenze/pyfibaro/tags .*/v?(\d\S+)\.tar\.gz

## pyfibaro 0.8.0

=== debian/changelog ===
pyfibaro (0.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Move packages required for tests to Build-Depends-Indep.

 -- Edward Betts <edward@4angle.com>  Thu, 14 Nov 2024 16:34:41 +0100

=== debian/control ===
Source: pyfibaro
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-pytest <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-requests <!nocheck>,
 python3-requests-mock <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/rappenze/pyfibaro
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/pyfibaro
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/pyfibaro.git

Package: python3-pyfibaro
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: API to access Fibaro Home Center from Python
 Provides a simple interface for interacting with Fibaro Home Center devices.
 The library facilitates the integration and control of smart home devices via
 the Fibaro Home Center APIs. It enables the execution of various commands and
 retrieval of device status from Fibaro Home Center systems, supporting
 features like authentication and device management.

## pyfibaro 0.8.1

=== debian/changelog ===
pyfibaro (0.8.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version.
  * Update copyright year.
  * Simplify debian/rules.
  * Simplify debian/watch.

 -- Edward Betts <edward@4angle.com>  Wed, 26 Feb 2025 05:34:20 -0500

## pyfibaro 0.8.2

=== debian/changelog ===
pyfibaro (0.8.2-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Thu, 06 Mar 2025 18:26:19 +0000

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  python3-requests <!nocheck>,
  python3-requests-mock <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Homepage: https://github.com/rappenze/pyfibaro
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/pyfibaro
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/pyfibaro.git

=== debian/tests/control ===
Tests:
 run-tests,
Depends:
 python3-all,
 python3-pytest,
 python3-pytest-cov,
 python3-requests,
 python3-requests-mock,
 @,

## pyfibaro 0.8.3

=== requirements.txt ===
requests~=2.32

=== debian/changelog ===
pyfibaro (0.8.3-1) unstable; urgency=medium

  * New upstream release.
  * Switch to autopkgtest-pkg-pybuild.
  * Update Standards-Version.

 -- Edward Betts <edward@4angle.com>  Thu, 29 May 2025 17:40:17 -0500

=== debian/control ===
--- 
+++ 
@@ -16,10 +16,11 @@
  python3-requests <!nocheck>,
  python3-requests-mock <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Homepage: https://github.com/rappenze/pyfibaro
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/pyfibaro
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/pyfibaro.git
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-pyfibaro
 Architecture: all

=== debian/watch ===
version=4
https://github.com/rappenze/pyfibaro/tags .*/v?(\d\S+)\.tar\.gz
